Subject: Re: [PATCH] tcp: fix a timewait refcnt race

From: Eric Dumazet <[email-masked]>
Date: Fri, 04 Dec 2009 07:29:05 +0100

kapil dakhane a écrit :
> 
> I applied your changes are suggested above. It appears that the patch
> successfully resolves the race condition it addressed. I managed to
> push the system to 1.9 gbps, previously I could not push it beyond 1.6
> gbps. Unfortunately, there appear to be more race conditions, as the
> fault happened again when I attempted to push it to 2.3 gbps. This
> time I did not get any error message in /var/log/messages, although
> they appear on the console the same way as before.
> 

Thanks for testing Kapil

I am not sure of exact set of changes you have in your kernel.

David, could you push your net-next-2.6 tree with pending changes so that
I can work on bind() side (interaction with timewait) and be sure Kapil
can work on latest net-next-2.6 ?

Thanks